%define name	smilutils
%define version	0.3.0
%define release 2mdk

%define major	0
%define libname %mklibname kinoextensions %major

Name: 	 	%{name}
Summary: 	Command line tools for Kino's SMIL video format
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://users.pandora.be/acp/kino/smilutils.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libdv-devel quicktime-devel libxml2-devel
BuildRequires:	SDL-devel imlib2-devel gdk-pixbuf-devel

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	libkinoextensions-devel = %version-%release
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog

* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 0.3.0-2mdk 
- rebuild for new libintl

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0
- redo buildrequires
- rename library
- add man pages
- add devel files
- configure 2.5

* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package
